.ht-sidebar {
  margin: 0;
  left: 0;
  width: 200px;
  background-color: #f1f1f1;
  position: fixed;
  height: 100%;
  overflow: auto;
  transition: left 0.3s ease-in-out;
  &__closed {
    left: -195px;
  }
  &__close {
    position: fixed;
    top: 20px;
    left: 200px;
    display: block;
    width: 40px;
    height: 40px;
    background-color: $main-color;
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
    cursor: pointer;
    transition: left 0.3s ease-in-out;
    &__closed {
      left: 5px;
    }
    &::before {
      content: '';
      position: absolute;
      top: -25px;
      right: 15px;
      width: 25px;
      height: 25px;
      background-color: transparent;
      border-radius: 50%;
      box-shadow: -15px 15px 0 $main-color;
    }
    &::after {
      content: '';
      position: absolute;
      top: 40px;
      right: 15px;
      width: 25px;
      height: 25px;
      background-color: transparent;
      border-radius: 50%;
      box-shadow: -15px -15px 0 $main-color;
    }


    &-text {
      color: white;
      position: relative;
      left: 10px;
      bottom: 1px;
      font-size: 38px;
    }
  }
  &__line {
    display: inline-block;
    height: 100%;
    width: 5px;
    position: fixed;
    background-color: $main-color;
  }
  &__list {
    padding-top: 20px;
    display: inline-block;
    width: calc(100% - 5px);
  }
  &__item {
  }
  &__link {
    position: relative;
    font-size: 100%;
    display: block;
    width: 90%;
    height: 40px;
    float: right;
    color: $main-color;
    text-decoration: none;
    line-height: 40px;
    padding-left: 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
    z-index: 2;
    &-active {
      color: white;
      background-color: $main-color;
      position: relative;
      z-index: 1;
      &::before {
        content: '';
        position: absolute;
        top: -25px;
        right: 0;
        width: 25px;
        height: 25px;
        background-color: #f1f1f1;
        border-radius: 50%;
        box-shadow: 15px 15px 0 $main-color;
      }
      &::after {
        content: '';
        position: absolute;
        top: 40px;
        right: 0;
        width: 25px;
        height: 25px;
        background-color: #f1f1f1;
        border-radius: 50%;
        box-shadow: 15px -15px 0 $main-color;
      }
      &:hover {
        background-color: $main-color !important;
      }
    }
    &:hover {
      color: white;
      background-color: rgba($main-color, 0.8);
    }
  }
}
.ht-content {
  margin-left: 200px;
  padding: 1px 16px;
  height: 100%;
  transition: margin 0.3s ease-in-out;
  &__large {
    margin-left: 0;
  }
}


.ht-sidebar-span {
  background: #fff;
  border-radius:10px;
  height:3px;
  margin: 3px 0;
  transition: .4s  cubic-bezier(0.68, -0.6, 0.32, 1.6);
  display: block;
}
.ht-sidebar-span-1{
  width:50%;
}
.ht-sidebar-span-2{
  width:100%;
}
.ht-sidebar-span-3{
  width:75%;
}

.ht-sidebar-span-open ~ .ht-sidebar-span-1{
  transform-origin:bottom;
  transform:rotatez(45deg) translate(4px,3px)
}
.ht-sidebar-span-open ~ .ht-sidebar-span-2{
  transform-origin:top;
  transform:rotatez(-45deg)
}
.ht-sidebar-span-open ~ .ht-sidebar-span-3{
  transform-origin:bottom;
  width:50%;
  transform: translate(8px,-6px) rotatez(45deg);
}


.ht-sidebar__close-label{
  margin-left: 10px;
  margin-top: 7px;
  display:flex;
  flex-direction:column;
  width:20px;
  cursor:pointer;
}
